# ###########################################################################
#
#   Description file for patch :       DB_patch1406_50_lr
#
#   <<      DB SUPPORT FOR DC LABEL REDUCTION      >>
#
# ###########################################################################

[PATCH]
Software_name=Database
Short_description=Add support for DC label reduction
DB_mode=Normal
Repeat_allowed=Yes

[VARIABLES]
DISCONNECT_CLIENTS_Y_N=optional:no^type:yesno^exported:yes^help:Force logout of any connected client (Y) or fail (N)

# ============== VERSION LEVEL TRANSITIONS SUPPLIED ===============

[TRANSITION]
# When applying on a plain 5.0.0.2
#  on oracle9 - GA
Initial_VLN=DB50011406001
Initial_checksum=##unknown##
Final_VLN=DB50011406001
Final_checksum=##unknown##

# ============ SET DATABASE IN RESTRICTED MODE ============

[MODULE]
Loader=Sql
Domain=admin
Name=list_clients
Type=sql
Description=List the currently connected clients

[MODULE]
Loader=Sql
Domain=admin
Name=set_restricted
Type=sql
Description=Set database in restricted session mode

# ================== UPGRADE TABLES =======================

[MODULE]
Loader=Sql
Domain=admin
Name=crtab_frml_label_desc
Type=sql
Version=1.2
Description=Create Table FRML_LABEL_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=crtab_frml_label_desc_hist
Type=sql
Version=1.2
Description=Create Table FRML_LABEL_DESC_HIST

# ================= UPDATE TABLE DATA =====================

[MODULE]
Loader=Sql
Domain=admin
Name=init_clnt_sql
Type=sql
Version=30.76
Description=Add frml label synonyms

# ================ UPDATE PACKAGE SPEC ====================

# ================== UPDATE SYNONYMS ======================

# ================== UPGRADE GRANTS =======================

[MODULE]
Loader=Sql
Domain=admin
Name=create_grants
Type=sql
Version=30.79
Description=Add frml label grants

# ================ UPDATE PACKAGE BODY ====================

[MODULE]
Loader=Sql
Domain=admin
Name=pvm_history
Type=pkb
Version=30.41.1.1
Description=Package Body PVM_HISTORY

# ================ UPDATE CONSTRAINTS =====================

[MODULE]
Loader=Sql
Domain=admin
Name=crcons_frml_label_desc
Type=sql
Version=1.0
Description=Constraints FRML_LABEL_DESC

[MODULE]
Loader=Sql
Domain=admin
Name=crcons_frml_label_desc_hist
Type=sql
Version=1.1
Description=Constraints FRML_LABEL_DESC_HIST

# ================== UPDATE INDEXES =======================

# ================= UPGRADE TRIGGERS ======================

[MODULE]
Loader=Sql
Domain=admin
Name=create_triggers
Type=sql
Version=30.86
Description=Add frml label triggers

# ========== DISABLE RESTRICTED SESSION MODE ==============

[MODULE]
Loader=SqD
Domain=admin
Name=set_no_restricted
Type=sql
Data=Alter System Disable Restricted Session
Description=Set database out of restricted session mode

# ############ end of file : DB_patch1406_50_lr.dsc
