Prompt .  Filling CLNT_SQL...
Set Verify Off
Set Feedback Off
Set Define "&"
Define CR='||chr(10)||'
Define COLUMNS_LIST = "Idx_Type, Int_Type, Int_Sequence, Str_Statement"
col clt NoPrint New_Value CLIENT_GUI
select idx_ind clt from CLNT_TYPE
where str_name = 'GUI'
/
col clt NoPrint New_Value CLIENT_RESMGR
select idx_ind clt from CLNT_TYPE
where str_name = 'RESMGR'
/
col clt NoPrint New_Value CLIENT_INVENTORY
select idx_ind clt from CLNT_TYPE
where str_name = 'INVENTORY'
/
col clt NoPrint New_Value CHANNEL_MODULE
select idx_ind clt from CLNT_TYPE
where str_name = 'CHANNEL'
/
col clt NoPrint New_Value CLIENT_CHNL_RECOMP
select idx_ind clt from CLNT_TYPE
where str_name = 'CHNL_RECOMP'
/
col clt NoPrint New_Value CLIENT_OPERATOR
select idx_ind clt from CLNT_TYPE
where str_name = 'OPERATOR'
/
Define ACTION_CREATE_SYNONYM = 1
Prompt .  . CLIENT GUI Synonyms...
/*** CREATE SYNONYMS ***/
Delete From CLNT_SQL
 Where Idx_Type = &CLIENT_GUI
   And Int_Type = &ACTION_CREATE_SYNONYM
   And Int_Sequence in ( 251, 252 );
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CLIENT_GUI, &ACTION_CREATE_SYNONYM, 251,
            '/* FRML_LABEL_DESC */' &CR
            'Create Synonym [1].FRML_LABEL_DESC For [2].FRML_LABEL_DESC' );
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CLIENT_GUI, &ACTION_CREATE_SYNONYM, 252,
            '/* FRML_LABEL_DESC_HIST */' &CR
            'Create Synonym [1].FRML_LABEL_DESC_HIST For [2].FRML_LABEL_DESC_HIST' );
Commit;
Prompt .  . CHANNEL MODULE Synonyms...
Delete From CLNT_SQL
 Where Idx_Type = &CHANNEL_MODULE
   And Int_Type = &ACTION_CREATE_SYNONYM
   And Int_Sequence in ( 126, 127 );
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CHANNEL_MODULE, &ACTION_CREATE_SYNONYM, 126,
            '/* FRML_LABEL_DESC */' &CR
            'Create Synonym [1].FRML_LABEL_DESC For [2].FRML_LABEL_DESC' )
/
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CHANNEL_MODULE, &ACTION_CREATE_SYNONYM, 127,
            '/* FRML_LABEL_DESC_HIST */' &CR
            'Create Synonym [1].FRML_LABEL_DESC_HIST For [2].FRML_LABEL_DESC_HIST' )
/
Commit;
Prompt .  . CLIENT CHNL_RECOMP Synonyms...
Delete From CLNT_SQL
 Where Idx_Type = &CLIENT_CHNL_RECOMP
   And Int_Type = &ACTION_CREATE_SYNONYM
   And Int_Sequence in ( 132, 133 );
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CLIENT_CHNL_RECOMP, &ACTION_CREATE_SYNONYM, 132,
            '/* FRML_LABEL_DESC */' &CR
            'Create Synonym [1].FRML_LABEL_DESC For [2].FRML_LABEL_DESC' );
Insert Into CLNT_SQL ( &COLUMNS_LIST )
   Values ( &CLIENT_CHNL_RECOMP, &ACTION_CREATE_SYNONYM, 133,
            '/* FRML_LABEL_DESC_HIST */' &CR
            'Create Synonym [1].FRML_LABEL_DESC_HIST For [2].FRML_LABEL_DESC_HIST' );
Commit;
Prompt .  . OPERATOR Synonyms...
Delete
  From CLNT_SQL
 Where Idx_Type = &CLIENT_OPERATOR
   And Int_Type = &ACTION_CREATE_SYNONYM
/
Declare
  i     Number := 100;
  vcSQL Varchar2(4000);
Begin
  For recSyns In ( Select Object_Name SynName
                     From Dba_Objects
                    Where Owner = Upper('&DB_USER_ROOT._ADMIN')
                      And Object_Type In ( 'FUNCTION',
                                           'PACKAGE',
                                           'PROCEDURE',
                                           'SEQUENCE',
                                           'TABLE',
                                           'VIEW' )
                    Order By Object_Type )
  Loop
    vcSQL := 'Insert Into CLNT_SQL ( &COLUMNS_LIST )' ||
             ' Values ( &CLIENT_OPERATOR, &ACTION_CREATE_SYNONYM, '||i||', ' ||
             '''/* '||recSyns.SynName||' */ ' &CR
             'Create Synonym [1].'||recSyns.SynName||' For [2].'||recSyns.SynName||''')';
    Execute Immediate(vcSQL);
    i := i + 1;
  End Loop;
End;
/
Commit;
Declare
  Cursor curClientGui Is
  Select Str_Ora_User From Clnt_Desc
   Where Idx_Type In (&CLIENT_GUI, &CLIENT_RESMGR, &CLIENT_INVENTORY);
  Cursor curClientChnlRecomp Is
  Select Str_Ora_User From Clnt_Desc
   Where Idx_Type In (&CLIENT_CHNL_RECOMP);
  Cursor curClientChannel Is
  Select Str_Ora_User From Clnt_Desc
   Where Idx_Type In (&CHANNEL_MODULE);
  Cursor curClientOperator Is
  Select Str_Ora_User From Clnt_Desc
   Where Idx_Type In ( &CLIENT_OPERATOR );
  Procedure Create_One_Syn( P_sOraUser In Varchar2,
                            P_sSynonym In Varchar2,
                            P_sTable   In Varchar2 Default Null )
  Is
    sTable  Varchar2(100);
  Begin
    If P_sTable Is Null Then
      sTable := P_sSynonym;
    Else
      sTable := P_sTable;
    End If;
    Pvm_Utility.Drop_Synonym( P_sOraUser || '.' || P_sSynonym, False );
    Pvm_Utility.Create_Synonym( P_sOraUser || '.' || P_sSynonym,
                                Pvm_Client.Get_Root || '_ADMIN.' || sTable );
  End Create_One_Syn;
Begin
  For recClientGui In curClientGui Loop
    Create_One_Syn( recClientGui.Str_Ora_User, 'FRML_LABEL_DESC' );
    Create_One_Syn( recClientGui.Str_Ora_User, 'FRML_LABEL_DESC_HIST' );
  End Loop;
  For recClientChannel In curClientChannel Loop
    Create_One_Syn( recClientChannel.Str_Ora_User, 'FRML_LABEL_DESC' );
    Create_One_Syn( recClientChannel.Str_Ora_User, 'FRML_LABEL_DESC_HIST' );
  End Loop;
  For recClientChnlRecomp In curClientChnlRecomp Loop
    Create_One_Syn( recClientChnlRecomp.Str_Ora_User, 'FRML_LABEL_DESC' );
    Create_One_Syn( recClientChnlRecomp.Str_Ora_User, 'FRML_LABEL_DESC_HIST' );
  End Loop;
  For recClientOperator In curClientOperator Loop
    For recSyns In ( Select Object_Name SynName
                       From Dba_Objects
                      Where Owner = Upper('&DB_USER_ROOT._ADMIN')
                        And Object_Type In ( 'FUNCTION',
                                             'PACKAGE',
                                             'PROCEDURE',
                                             'SEQUENCE',
                                             'TABLE',
                                             'VIEW' )
                      Order By Object_Type )
    Loop
      Create_One_Syn( recClientOperator.Str_Ora_User,
                      recSyns.SynName,
                      recSyns.SynName );
    End Loop;
  End Loop;
End;
/
UnDefine CLIENT_GUI
UnDefine CLIENT_RESMGR
UnDefine CLIENT_INVENTORY
UnDefine CHANNEL_MODULE
UnDefine CLIENT_CLIENT_CHNL_RECOMP
UnDefine CLIENT_OPERATOR
UnDefine COLUMNS_LIST
UnDefine ACTION_CREATE_SYNONYM
/* End of init_clnt_sql.sql */
